## eyebot-toolchain 3.3.1-1

=== debian/changelog ===
eyebot-toolchain (3.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Stefan Schmitt <sschmitt@ee.uwa.edu.au>  Tue, 12 Aug 2003 11:57:53 +0000

Local variables:
mode: debian-changelog
End:
