=== debian/control ===
Source: eyebot-toolchain
Section: devel
Priority: extra
Maintainer: Stefan Schmitt <sschmitt@ee.uwa.edu.au>
Standards-Version: 3.5.9
Build-Depends: autoconf (>= 2.13), libtool, awk, bzip2, bison, flex, gettext, texinfo, debhelper (>= 3.0), tar (>= 1.13.18), dpatch (>=1.11), findutils

Package: eyebot-toolchain
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends}
Suggests: task-c-devel
Description: Cross-compiling toolchain for the EyeBot controller.
 This contains binutils, gcc, g++, libc, libm, libstdc++ for cross compiling
 programs for the EyeBot controller.
 For rebuilding from source you need the original tarballs (see debian/rules
 in the source package).
